Summary:   Perl-Compatible Regular Expression library
Name:      pcre
Version:   3.2
Release:   1
Source:    ftp://ftp.cus.cam.ac.uk/pub/software/programs/pcre/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     System Environment/Libraries
Vendor:    Philip Hazel <ph10@cam.ac.uk>
BuildRoot: /tmp/%{name}-%{version}-root

%description
PCRE stands for the Perl Compatible Regular Expression library. It
contains routines to match text against regular expressions similar to
perl's. It also contains a POSIX compatibility library.

%package devel
Summary: Static library and header files for pcre development
Group:   Development/Libraries

%description devel
This package contains the pcre static libraries and header files
required to develop pcre-based applications.

%package -n pgrep
Summary: Grep using Perl Compatible Regular Expressions
Group:   Utilities/Text

%description -n pgrep
pgrep is a grep workalike which uses perl-style regular expressions 
instead of POSIX regular expressions.

%prep

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

if [ -x /usr/bin/getconf ] ; then
  NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
   if [ $NRPROC -eq 0 ] ; then
    NRPROC=1
  fi
else
  NRPROC=1
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr install

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*.*

strip $RPM_BUILD_ROOT/usr/bin/* || :
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*.* || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog LICENCE README doc/Tech.Notes
/usr/lib/lib*.so.*.*.*
%attr(-,root,man) /usr/man/man3/*

%files devel
%defattr(-,root,root)
/usr/bin/pcre-config
/usr/include/*
/usr/lib/lib*.a

%files -n pgrep
%defattr(-,root,root)
/usr/bin/pgrep
%attr(-,root,man) /usr/man/man1/*

%changelog
* Sun Jul 30 2000 Arne Coucheron <arneco@online.no>
  [3.2-1]
- added a devel package
- added support for compiling in multiprocessor environment

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs